<?php
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');
require_once(WCF_DIR.'lib/data/page/seo/SEOUtil.class.php');

/**
 * Gets board id by board title.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.seo
 * @subpackage	system.event.listener
 * @category 	Burning Board
 */
class SEOBoardPageLinkListener implements EventListener {
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if (isset($_REQUEST['boardTitle']) && !isset($_REQUEST['boardID'])) {
			$boards = WCF::getCache()->get('board', 'boards');
			
			foreach ($boards as $boardID => $board) {
				if ($_REQUEST['boardTitle'] == SEOUtil::formatString(WCF::getLanguage()->get($board->title))) {
					WCF::getSession()->setRequestURI(WCF::getSession()->requestURI.'&boardID='.$boardID);
					$_REQUEST['boardID'] = $boardID;
					break;
				}
			}
		}
	}
}
?>