<?php
// wbb imports
require_once(WBB_DIR.'lib/data/page/seo/WBBSEORewriter.class.php');

// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');
require_once(WCF_DIR.'lib/data/page/seo/SEOUtil.class.php');

/**
 * Parses SEO links in output.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.seo
 * @subpackage	system.event.listener
 * @category 	Burning Board
 */
class SEODisplayListener implements EventListener {
	protected $buffer = null;

	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if (SEO_ENABLE && !SEOUtil::isExcludedPage()) {
			if ($eventName == 'shouldDisplay') {
				// start output buffering
				ob_start(array($this, 'formatOutput'));
			}
		}
	}

	/**
	 * Parses the given output.
	 *
	 * @param	string		$output
	 * @param	integer		$status
	 * @return	string
	 */
	public function formatOutput($output, $status) {
		if ($status & PHP_OUTPUT_HANDLER_START) {
			$seo = new WBBSEORewriter();
			$this->buffer = $seo->rewrite($output);
		}

		if ($status & PHP_OUTPUT_HANDLER_END) {
			return $this->buffer;
		}
	}
}
?>