<?php
// wbb imports
require_once(WBB_DIR.'lib/data/page/seo/WBBSEORedirecter.class.php');

// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

/**
 * Does 301 redirects to SEO links.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2009 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.seo
 * @subpackage	system.event.listener
 * @category 	Burning Board
 */
class SEORedirectListener implements EventListener {
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if (SEO_ENABLE) {
			if (!isset($_SERVER['REQUEST_URI'])) return;
			
			// get base name
			$path = '/';
			$urlComponents = @parse_url(PAGE_URL);
			if (!empty($urlComponents['path'])) $path = '/'.FileUtil::removeLeadingSlash(FileUtil::addTrailingSlash($urlComponents['path']));
			$basename = StringUtil::substring(urldecode($_SERVER['REQUEST_URI']), StringUtil::length($path));
			// convert encoding (ie fix)
			if (CHARSET != 'UTF-8' && StringUtil::isUTF8($basename)) {
				$basename = StringUtil::convertEncoding('UTF-8', CHARSET, $basename);
			}
			
			// start redirecter
			$seo = new WBBSEORedirecter();
			$seo->redirect($basename, $eventObj);
		}
	}
}
?>